#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
typedef long long ll, i64;
const int N = 1e5 + 50;
ll a[N], b[N], c[N];
int main()
{
    int n, k;
    scanf("%d%d", &n, &k);
    for (int i = 0; i < n; i++) scanf("%lld%lld", a + i, b + i);
    for (int i = 1; i < n; i++) c[i] = b[i - 1] * a[i];
    ll baseV = accumulate(c, c + n, 0ll);
    ll mn = 0, mx = 0, mnt = 0, mxt = 0;
    for (int i = 1; i < n; i++)
    {
    }
    mn = min(mn, mnt), mx = max(mx, mxt);
    if (k == 0)
        printf("%lld", baseV);
    else
    {
        ll cur = baseV;
        ll minId = n;
		for (int i = n; i; i--) {
		}
        printf("%lld", cur);
    }
    return 0;
}